import {
  Button,
  Form,
  Input,
  InputNumber,
  message,
  Row,
  Space,
  Steps,
} from "antd";
import { useState } from "react";
import Appendix from "./Appendix";
import BasicForm from "./BasicForm";
import "./index.less";
import MediaBind from "./MediaBind";

const CourseCreate = () => {
  const [current, setCurrent] = useState(0);
  const steps = [
    {
      title: "基本信息",
      content: <BasicForm />,
    },
    {
      title: "媒体资源",
      content: <MediaBind />,
    },
    {
      title: "附件",
      content: <Appendix />,
    },
  ];

  const items = steps.map((item) => ({ key: item.title, title: item.title }));

  return (
    <div className="create-course">
      <Steps current={current} items={items} />
      <div className="content">{steps[current].content}</div>
      <div style={{ textAlign: "right" }}>
        <Button
          style={{
            margin: "0 8px",
            visibility: current > 0 ? "visible" : "hidden",
          }}
          onClick={() => setCurrent(current - 1)}
        >
          上一步
        </Button>
        {current < steps.length - 1 && (
          <Button type="primary" onClick={() => setCurrent(current + 1)}>
            下一步
          </Button>
        )}
        {current === steps.length - 1 && (
          <Button
            type="primary"
            onClick={() => message.success("Processing complete!")}
          >
            创建
          </Button>
        )}
      </div>
      {/* <Form>
        <Form.Item
          wrapperCol={{ span: 24 }}
          name="title"
          rules={[{ required: true, message: "Please input your username!" }]}
        >
          <Input placeholder="标题" />
        </Form.Item>
        <Form.Item><InputNumber placeholder="售价" /></Form.Item>
        <Form.Item>
          <Button type="primary">提交</Button>
        </Form.Item>
      </Form> */}
    </div>
  );
};

export default CourseCreate;
